%define upstream_name    MooseX-POE
%define upstream_version 0.215

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Summary:    A Instance Metaclass for MooseX::POE
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(MooseX::Async)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 2.0.200
BuildRequires: perl(POE) >= 1.310.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
MooseX::POE is a Moose wrapper around a POE::Session.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README ex
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.215.0-8.mga6
+ Revision: 1030539
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.215.0-7.mga6
+ Revision: 948760
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.215.0-6.mga5
+ Revision: 788245
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.215.0-5.mga5
+ Revision: 748827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.215.0-4.mga5
+ Revision: 685555
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.215.0-3.mga4
+ Revision: 513219
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.215.0-2.mga3
+ Revision: 370230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.215.0-1.mga3
+ Revision: 255173
- update to 0.215

* Fri Jun 17 2011 jquelin <jquelin> 0.214.0-1.mga2
+ Revision: 108942
- update to 0.214

* Thu Apr 07 2011 jquelin <jquelin> 0.212.0-1.mga1
+ Revision: 81772
- update to 0.212

* Sun Jan 23 2011 jquelin <jquelin> 0.211.0-1.mga1
+ Revision: 33967
- mageia rebuild
- imported package perl-MooseX-POE

